# PrefixUnaryExpression Class Reference
[Logical expressions used in OSQL and Form]

Inheritance diagram for PrefixUnaryExpression:
[legend]

List of all members.

## Public Member Functions

| __construct ($logic, $subject)
| toDialectString (Dialect $dialect)
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toBoolean (Form $form)

## Public Attributes

const | NOT = 'NOT'
const | MINUS = '-'

## Private Attributes

| $subject = null
| $logic = null

## Detailed Description

Definition at line 15 of file PrefixUnaryExpression.class.php.

## Constructor & Destructor Documentation

PrefixUnaryExpression::__construct | ( | $ | logic,
|  | $ | subject |
| ) |  |  |

Definition at line 23 of file PrefixUnaryExpression.class.php.

References $logic, and $subject.

## Member Function Documentation

PrefixUnaryExpression::toBoolean | ( | Form $ | form | ) |

Definition at line 49 of file PrefixUnaryExpression.class.php.

References $subject, and Form::toFormValue().

Here is the call graph for this function:

PrefixUnaryExpression::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 29 of file PrefixUnaryExpression.class.php.

References Dialect::toFieldString().

Here is the call graph for this function:

PrefixUnaryExpression::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  PrefixUnaryExpression

Implements MappableObject.

Definition at line 41 of file PrefixUnaryExpression.class.php.

References ProtoDAO::guessAtom().

Here is the call graph for this function:

## Member Data Documentation

PrefixUnaryExpression::$logic = null`[private]`

Definition at line 21 of file PrefixUnaryExpression.class.php.

Referenced by __construct().

PrefixUnaryExpression::$subject = null`[private]`

Definition at line 20 of file PrefixUnaryExpression.class.php.

Referenced by __construct(), and toBoolean().

const PrefixUnaryExpression::MINUS = '-'

Definition at line 18 of file PrefixUnaryExpression.class.php.

Referenced by OqlPrefixMinusExpression::__construct(), and Expression::minus().

const PrefixUnaryExpression::NOT = 'NOT'

Definition at line 17 of file PrefixUnaryExpression.class.php.

Referenced by OqlParser::getLogicExpression(), and Expression::not().

The documentation for this class was generated from the following file:

- core/Logic/PrefixUnaryExpression.class.php